function X = calc_X_RPY(T)
R=T(1:3,1:3);
p=T(1:3,4);

r31=R(3,1);
r32=R(3,2);
r33=R(3,3);
r21=R(2,1);
r11=R(1,1);

theta=atan2(-r31,sqrt(r32^2+r33^2));
psi=atan2(r32/cos(theta),r33/cos(theta));
phi=atan2(r21/cos(theta),r11/cos(theta));
rpy=[psi;theta;phi];

X=[p;rpy];

end