function [ddq] = direct_gen3_lite_dynamics(total)
q = total(1:6,1);
dq = total(7:12,1);
tau = total(13:18,1);

M=Inertia_lite(q);
C=Coriolis_1_lite(q,dq)+Coriolis_2_lite(q,dq)+Coriolis_3_lite(q,dq)+Coriolis_4_lite(q,dq)+Coriolis_5_lite(q,dq)+Coriolis_6_lite(q,dq);
%G=Gravity_lite(q);
G=gravity_v1(q);
ddq=-M\(C*dq+G-tau);
end